#
# spec file for package ghc-vector-binary-instances
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name vector-binary-instances

Name:           ghc-vector-binary-instances
Version:        0.2.3.2
Release:        1.1
Summary:        Instances of Data.Binary and Data.Serialize for vector
License:        BSD-3-Clause
Group:          System/Libraries

Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-cereal-devel
BuildRequires:  ghc-vector-devel
# End cabal-rpm deps

%description
Instances for Binary for the types defined in the vector package, making it
easy to serialize vectors to and from disk. We use the generic interface to
vectors, so all vector types are supported. Specific instances are provided for
unboxed, boxed and storable vectors.

To serialize a vector:

> *Data.Vector.Binary> let v = Data.Vector.fromList [1..10] >
*Data.Vector.Binary> v > fromList [1,2,3,4,5,6,7,8,9,10] :: Data.Vector.Vector
> *Data.Vector.Binary> encode v > Chunk
"NULNULNULNULNUL...NULNULNULtNULNULNULNULn" Empty

Which you can in turn compress before writing to disk:

> compress . encode $ v > Chunk "US139bNULNULN...229240,254:NULNULNUL" Empty.


%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library
development files.


%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog
* Tue Apr 26 2016 mimi.vx@gmail.com
- update to 0.2.3.2
* Tue Mar 15 2016 mimi.vx@gmail.com
- update to 0.2.3.1
* Sat Mar 12 2016 mimi.vx@gmail.com
- update to 0.2.3.0
* Sat Mar 12 2016 mimi.vx@gmail.com
- update to 0.2.1.1
* Thu Nov 19 2015 mimi.vx@gmail.com
- initial commit
